package com.srs.stureg.service;

import com.srs.comprehensive.domain.Vo.DataScreen;

import java.util.List;
import java.util.Map;

public interface ISrsStuRegCountService {
    List<Map<String, Object>> countDept();
    List<Map<String, Object>> countClass();

    List<Map<String, Object>> countHour();

    List<DataScreen> countArea();

    List<Map<String,Object>> countMajorTop10();

    Map<String, Object> countNowAt();

    List<DataScreen> countGender();
    public Map<String, Integer> selectCountByRegStatus();


    public List<Map> atStationCount();


    public List<Map> atStationByCampusCount();
}
